SULOGIN(8)

NAME
sulogin - the single user mode login program

SYNOPSIS
sulogin [-p] [-t timeout]

DESCRIPTION
sulogin is a program to force the console user to login under a root account before a shell is started. Unlike other implementations of sulogin, this one supports having multiple root accounts on a system.

sulogin is typically invoked from an inittab(5) entry for single user mode or from the system's startup scripts.

It is important to understand that the use of sulogin alone may be insufficient to prevent unauthorized access to the system from the console. The firmware (BIOS) and the boot loader may by default provide user interaction capabilities that enable access to the system bypassing its regular startup.

OPTIONS
The supported command line options match those used with Miquel van Smoorenburg's implementation of sulogin.

-p  Make the shell started by sulogin a login shell by setting the first character of its argument zero to a dash ('-'). Typically, a login shell will process local profile files such as /etc/profile.

-t timeout
    Request that sulogin will timeout and exit if there's no input to a prompt in the specified number of seconds.

EXIT CODE
The exit code of sulogin upon its successful completion is that of the shell started. Other possible exit codes are: 64 on system failure or misconfiguration, 65 on timeout, and 66 on EOF (Ctrl-D).

HISTORY
Implementations of sulogin exist in multiple commercial and free Unix flavors, although sulogin was not a part of AT&T System V.

This implementation with its support for multiple root accounts originates in Openwall GNU/*/Linux.

AUTHORS
Solar Designer <solar at owl.openwall.com>

SEE ALSO
inittab(5), init(8)

http://www.openwall.com/msulogin/